<ng-container *ngIf="vm$ | async as vm">
  <ng-container *ngIf="vm.listEWalidataAssignBusinessField as list">
    <ng-container *ngIf="list.status === 'loading'">
      <ng-container *ngTemplateOutlet="skeleton" />
    </ng-container>

    <ng-container *ngIf="list.status === 'success'">
      <ng-container *ngIf="list.isFetching">
        <ng-container *ngTemplateOutlet="skeleton" />
      </ng-container>

      <ng-container *ngIf="!list.isFetching">
        <ng-container *ngIf="list.data.list.length > 0">
          <div
            *ngFor="let row of list.data.list; let i = index"
            [ngClass]="[jds.mb(8)]"
          >
            <jds-bi-accordion
              #acc="jdsBiAccordion"
              [ngClass]="['accordion-e-walidata-assign']"
              [destroyOnHide]="false"
              [closeOthers]="true"
              [activeIds]="[]"
              [colorScheme]="colorScheme"
            >
              <jds-bi-panel [id]="i">
                <ng-template
                  jdsBiPanelHeader
                  let-opened="opened"
                >
                  <div
                    [ngClass]="[
                      't-accordion-button',
                      jds.justifyContent('between')
                    ]"
                    [class.t-collapsed]="!opened"
                  >
                    <div
                      [ngClass]="[
                        jds.w('full'),
                        jds.d('flex'),
                        jds.alignItems('center'),
                        jds.justifyContent('between'),
                        jds.me(16)
                      ]"
                    >
                      <div
                        [ngClass]="[jds.d('flex'), jds.alignItems('center')]"
                      >
                        <!-- Checkbox -->
                        <div [ngClass]="[jds.formCheck, jds.me(14)]">
                          <input
                            id="checkbox-business-field-{{ i }}"
                            [(ngModel)]="row.checked"
                            [ngClass]="[jds.formCheckInput, jds.mt(0)]"
                            (change)="
                              onSelectedGroup(
                                {
                                  businessFieldId: row.kode_bidang_urusan,
                                  businessFieldName: row.nama_bidang_urusan
                                },
                                $event.target.checked
                              )
                            "
                            type="checkbox"
                          />
                        </div>

                        <!-- Business Field -->
                        <span
                          [ngClass]="[
                            jds.fs(14),
                            jds.text(jdsBiColor.gray['800']),
                            jds.py(8),
                            jds.px(10)
                          ]"
                          [colorScheme]="'gray'"
                          [variant]="'subtle'"
                          jdsBiBadge
                        >
                          {{ row.kode_bidang_urusan }} &nbsp; | &nbsp;
                          {{ row.nama_bidang_urusan }}
                          <span
                            [ngClass]="[jds.py(0), jds.px(5.5), jds.ms(14)]"
                            [colorScheme]="colorScheme"
                            jdsBiBadge
                          >
                            {{ row.count_indikator }}
                          </span>
                        </span>
                      </div>

                      <!-- Search -->
                      <div [ngClass]="[jds.d('flex')]">
                        <div
                          #inputGroupSearches
                          [ngClass]="[jds.d('none'), jds.w(400)]"
                          jdsBiInputGroup
                          variant="element"
                        >
                          <jds-bi-input-left-element>
                            <button
                              [colorScheme]="'gray'"
                              [variant]="'link'"
                              (click)="onToggleSearch('close', i)"
                              jdsBiButton
                            >
                              <jds-bi-icon
                                [size]="14"
                                name="magnifying-glass"
                              />
                            </button>
                          </jds-bi-input-left-element>
                          <input
                            #search
                            [value]="
                              checkSearch(
                                row.kode_bidang_urusan,
                                vm.filterSearchIndicator
                              )
                            "
                            [style.borderRadius]="0"
                            [style.borderTopColor]="'transparent'"
                            [style.borderRightColor]="'transparent'"
                            [style.borderBottomColor]="'#EEE'"
                            [style.borderLeftColor]="'transparent'"
                            [ngClass]="[
                              'search-e-walidata-assign',
                              jds.pe(100)
                            ]"
                            [colorScheme]="colorScheme"
                            (keyup.enter)="
                              onSearch(row.kode_bidang_urusan, search.value)
                            "
                            jdsBiInput
                            type="text"
                            placeholder="Cari uraian"
                          />
                          <jds-bi-input-right-element>
                            <div
                              [ngClass]="[
                                jds.d('flex'),
                                jds.alignItems('center')
                              ]"
                            >
                              <jds-bi-icon
                                *ngIf="
                                  checkClearSearch(
                                    row.kode_bidang_urusan,
                                    vm.filterSearchIndicator
                                  )
                                "
                                [ngClass]="[jds.me(8)]"
                                [color]="jdsBiColor.gray['500']"
                                [style.cursor]="'pointer'"
                                (click)="onClearSearch(row.kode_bidang_urusan)"
                                name="circle-xmark"
                              />
                              <button
                                [colorScheme]="colorScheme"
                                [isIconOnly]="true"
                                (click)="
                                  onSearch(row.kode_bidang_urusan, search.value)
                                "
                                jdsBiButton
                                variant="solid"
                              >
                                Cari
                              </button>
                            </div>
                          </jds-bi-input-right-element>
                        </div>

                        <div #buttonSearches>
                          <button
                            [colorScheme]="'gray'"
                            [variant]="'link'"
                            (click)="onToggleSearch('open', i)"
                            jdsBiButton
                          >
                            <jds-bi-icon
                              [size]="14"
                              name="magnifying-glass"
                            />
                          </button>
                        </div>
                      </div>
                    </div>

                    <!-- Collapse -->
                    <button
                      [colorScheme]="opened ? colorScheme : 'gray'"
                      [variant]="'link'"
                      (click)="onIndicator(opened, row.kode_bidang_urusan)"
                      jdsBiButton
                      jdsBiPanelToggle
                    >
                      <jds-bi-icon
                        [ngClass]="['icon-chevron']"
                        [size]="14"
                        name="chevron-down"
                      />
                    </button>
                  </div>
                </ng-template>

                <ng-template jdsBiPanelContent>
                  <app-e-walidata-list-assign-indicator
                    [id]="row.kode_bidang_urusan"
                    [name]="row.nama_bidang_urusan"
                  />
                </ng-template>
              </jds-bi-panel>
            </jds-bi-accordion>
          </div>

          <ng-container *ngIf="list.status === 'success'">
            <ng-container *ngIf="list.data.list.length > 0">
              <jds-bi-pagination
                [colorScheme]="colorScheme"
                [perPageItems]="perPageItems"
                [pagination]="list.data.pagination"
                [perPage]="vm.filterPerPage"
                [page]="vm.filterCurrentPage"
                (filterPerPage)="filterPerPage($event)"
                (filterPage)="filterPage($event)"
              />
            </ng-container>
          </ng-container>
        </ng-container>

        <ng-container *ngIf="list.data.list.length === 0">
          <ng-container *ngTemplateOutlet="empty" />
        </ng-container>
      </ng-container>
    </ng-container>
  </ng-container>
</ng-container>

<ng-template #empty>
  <div [ngClass]="[jds.card, jds.mb(8)]">
    <div [ngClass]="[jds.cardBody, jds.textAlign('center'), jds.p(16)]">
      Tidak ada data.
    </div>
  </div>
</ng-template>

<ng-template #skeleton>
  <div
    *ngFor="let number of [0, 1, 2, 3, 4]"
    [ngClass]="[jds.card, jds.mb(8)]"
  >
    <div [ngClass]="[jds.cardBody, jds.p(16)]">
      <div
        class="wrapper-skeleton"
        *ngFor="let number of [70]"
      >
        <ngx-skeleton-loader
          [theme]="{
            width: number + '%',
            'border-radius': '0',
            height: '20px',
            'margin-bottom': 0
          }"
        />
      </div>
    </div>
  </div>
</ng-template>
